Get Batch Status

Overview 

This API resource checks the status of a batch of privacy settings changes. The call returns the status of each change made to the profiles.

Method and Endpoint 

GET https://app.igodigital.com/api/v2/organization/{customer_mid}/privacy/{batch_id}

URL Parameters 

NameTypeDescription
customer_midstringID for the account.
batch_idstringID generated when creating a batch of privacy setting changes.

Example Request 

1Host:  https://app.igodigital.com
2GET    /api/v2/organization/12345678/privacy/af417962-c188-4110-adc2-7ea67590e254
3Content-Type: application/json
4Authorization: Bearer YOUR_API_KEY

Example Response 

Status values for a change can be initiated, success, failed or cancelled.

1[
2    {
3        "date_initiated": "2018-03-12 18:45:17 UTC",
4        "profile_id": "hashed-id-01",
5        "action": "add_do_not_track",
6        "source": "api",
7        "status": "success",
8        "batch_id": "af417962-c188-4110-adc2-7ea67590e254",
9        "date_completed": "2018-03-12 18:45:17 UTC"
10    },
11    {
12        "date_initiated": "2018-03-12 18:45:17 UTC",
13        "profile_id": "hashed-id-08",
14        "action": "remove_do_not_profile",
15        "source": "api",
16        "status": "initiated",
17        "batch_id": "af417962-c188-4110-adc2-7ea67590e254",
18        "date_completed": "2018-03-12 18:45:17 UTC"
19    }
20]